Ubuntu 16 OR installation Math Functions and Fparser not found; FCL test fails; QThreadStorage: error

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Ubuntu 16 OR installation Math Functions and Fparser not found; FCL test fails; QThreadStorage: error

georgyostr
This post has NOT been accepted by the mailing list yet.
Hello, I installed openrave on ubuntu 16 with several issues in cmake.
Here is cmake output:

-- The C compiler identification is GNU 5.4.0
-- The CXX compiler identification is GNU 5.4.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Compiling OpenRAVE Version 0.9.0, soversion=0.9
-- Using cmake version 3.5.1
-- Using double precision
-- detected system processor: x86_64
-- Found PkgConfig: /usr/bin/pkg-config (found version "0.29.1")
-- Found PythonInterp: /usr/bin/python (found version "2.7.12")
-- Found PythonLibs: /usr/lib/x86_64-linux-gnu/libpython2.7.so (found suitable version "2.7.12", minimum required is "2")
-- installing to /usr/local, python exe /usr/bin/python, python subdir is lib/python2.7/dist-packages, program suffix is '0.9'
-- Performing Test LINKER_HAS_RDYNAMIC
-- Performing Test LINKER_HAS_RDYNAMIC - Success
-- Performing Test LINKER_HAS_BSYMBOLIC
-- Performing Test LINKER_HAS_BSYMBOLIC - Success
-- Performing Test LINKER_HAS_BSYMBOLIC_FUNCTIONS
-- Performing Test LINKER_HAS_BSYMBOLIC_FUNCTIONS - Success
-- Performing Test LINKER_HAS_VISIBILITY
-- Performing Test LINKER_HAS_VISIBILITY - Success
-- Performing Test LINKER_HAS_VISIBILITY_INLINES_HIDDEN
-- Performing Test LINKER_HAS_VISIBILITY_INLINES_HIDDEN - Success
-- Looking for pthread.h
-- Looking for pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Boost version: 1.58.0
-- Found the following Boost libraries:
--   regex
--   filesystem
--   system
--   python
--   thread
--   iostreams
--   date_time
--   chrono
--   atomic
-- found boost version: 105800
-- Targetting Unix Makefiles
-- Using /usr/bin/c++ compiler.
-- Found GMP: /usr/lib/x86_64-linux-gnu/libgmp.so
-- Found GMPXX: /usr/lib/x86_64-linux-gnu/libgmpxx.so
-- Found MPFR: /usr/lib/x86_64-linux-gnu/libmpfr.so
-- Looking for mpfr_div_d in /usr/lib/x86_64-linux-gnu/libmpfr.so
-- Looking for mpfr_div_d in /usr/lib/x86_64-linux-gnu/libmpfr.so - found
-- Could NOT find MPFI
-- Looking for crlibm_init in crlibm
-- Looking for crlibm_init in crlibm - not found
-- Looking for crlibm.h
-- Looking for crlibm.h - not found
-- Using local crlibm
-- Looking for fpu_control.h
-- Looking for fpu_control.h - found
-- Looking for fenv.h
-- Looking for fenv.h - found
-- Looking for inttypes.h
-- Looking for inttypes.h - found
-- Check size of long double
-- Check size of long double - done
-- compiling with double extended (long double) floating point
-- assimp version 3.2.0, , /usr/lib/include
-- Performing Test IS_ASSIMP_PRE_R896
-- Performing Test IS_ASSIMP_PRE_R896 - Failed
-- Performing Test IS_X86_64
-- Performing Test IS_X86_64 - Success
-- Looking for clock_gettime in rt
-- Looking for clock_gettime in rt - found
-- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
-- Found LibXml2: /usr/lib/x86_64-linux-gnu/libxml2.so
-- libxml2 found
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found
-- Found Qt4: /usr/bin/qmake (found version "4.8.7")
-- Checking for module 'libpcrecpp'
--   Found libpcrecpp, version 8.38
-- Looking for C++ include pcrecpp.h
-- Looking for C++ include pcrecpp.h - found
-- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8")
-- Checking for module 'minizip'
--   No package 'minizip' found
-- Looking for qh_new_qhull in qhull
-- Looking for qh_new_qhull in qhull - found
-- Looking for qhull/qhull_a.h
-- Looking for qhull/qhull_a.h - found
-- Looking for C++ include ANN/ANN.h
-- Looking for C++ include ANN/ANN.h - not found
-- compiling local ann library
CMake Warning at CMakeLists.txt:710 (find_package):
  By not providing "FindFPARSER.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "FPARSER", but
  CMake did not find one.

  Could not find a package configuration file provided by "FPARSER"
  (requested version 4.4.3) with any of the following names:

    FPARSERConfig.cmake
    fparser-config.cmake

  Add the installation prefix of "FPARSER" to CMAKE_PREFIX_PATH or set
  "FPARSER_DIR" to a directory containing one of the above files.  If
  "FPARSER" provides a separate development package or SDK, be sure it has
  been installed.


-- Checking for one of the modules 'fparser'
-- compiling local fparser library
-- Check size of float
-- Check size of float - done
-- Check size of long int
-- Check size of long int - done
-- Looking for alloca.h
-- Looking for alloca.h - found
-- Looking for strtof
-- Looking for strtof - found
-- Looking for strtold
-- Looking for strtold - found
-- Check size of long double
-- Check size of long double - done
-- Checking for module 'liblog4cxx'
--   Found liblog4cxx, version 0.10.0
-- compiling local convexdecomposition library
-- Looking for C++ include ext/hash_map
-- Looking for C++ include ext/hash_map - found
-- Looking for asinh
-- Looking for asinh - not found
-- Looking for acosh
-- Looking for acosh - not found
-- Looking for atanh
-- Looking for atanh - not found
-- Looking for exp2
-- Looking for exp2 - not found
-- Looking for log2
-- Looking for log2 - not found
-- Looking for mkstemp
-- Looking for mkstemp - found
-- Geometry Parsing: Collada DOM 2.4.4
-- Geometry Parsing: Using Open Asset Import Library 3.2.0
-- Geometry Parsing: Using ivcon
-- extracting models to /home/georgy/openrave/src
-- Looking for _init in lapack
-- Looking for _init in lapack - found
-- MATLAB installation not found, is mex in the system path?
-- Octave installation not found, is 'mkoctfile' in the system path?
-- Found sympy version '0.7.6.1'
-- Assuming sympy version 0.7.x or greater
-- Performing Test HAVE_ALL_PYTHON_HEADERS
-- Performing Test HAVE_ALL_PYTHON_HEADERS - Success
-- python and boost-python found
-- Looking for cgesdd_ in lapack
-- Looking for cgesdd_ in lapack - found
-- Checking for module 'bullet'
--   Found bullet, version 2.83
-- unsupported bullet version 2.83
-- FindMoby: Could not find EventDrivenSimulator.h
-- Could not find Moby Physics engine. Please install from https://github.com/PositronicsLab/Moby 
-- Checking for modules 'libavformat;libavcodec'
--   Found libavformat, version 56.40.101
--   Found libavcodec, version 56.60.100
-- enabling FFMPEG support
-- Checking for module 'libswscale'
--   Found libswscale, version 3.1.101
-- Looking for libswscale/swscale.h
-- Looking for libswscale/swscale.h - found
-- Looking for libavformat/avformat.h
-- Looking for libavformat/avformat.h - found
-- Looking for libavcodec/avcodec.h
-- Looking for libavcodec/avcodec.h - found
-- Looking for ffmpeg/avformat.h
-- Looking for ffmpeg/avformat.h - not found
-- Looking for ffmpeg/avcodec.h
-- Looking for ffmpeg/avcodec.h - not found
-- Performing Test HAS_AVMEDIA_TYPE_VIDEO
-- Performing Test HAS_AVMEDIA_TYPE_VIDEO - Success
-- boost regex found
-- Found OpenGL: /usr/lib/x86_64-linux-gnu/libGL.so  
-- Found osgDB: /usr/local/lib64/libosgDB.so  
-- Found osgQt: /usr/local/lib64/libosgQt.so  
-- Found osgGA: /usr/local/lib64/libosgGA.so  
-- Found osgFX: /usr/local/lib64/libosgFX.so  
-- Found osgText: /usr/local/lib64/libosgText.so  
-- Found osgViewer: /usr/local/lib64/libosgViewer.so  
-- Found osgManipulator: /usr/local/lib64/libosgManipulator.so  
-- Found osg: /usr/local/lib64/libosg.so  
-- Found OpenThreads: /usr/local/lib64/libOpenThreads.so  
-- Found OpenSceneGraph: /usr/local/lib64/libosgDB.so;/usr/local/lib64/libosgQt.so;/usr/local/lib64/libosgGA.so;/usr/local/lib64/libosgFX.so;/usr/local/lib64/libosgText.so;/usr/local/lib64/libosgViewer.so;/usr/local/lib64/libosgManipulator.so;/usr/local/lib64/libosg.so;/usr/local/lib64/libOpenThreads.so (found suitable version "3.4.0", minimum required is "3.4")
-- Detected Qt/OSG GUI, making plugin
-- QT dirs: /usr/include/qt4 OPENGL: /usr/include/qt4/QtOpenGL
-- Looking for X11/Xlib.h
-- Looking for X11/Xlib.h - found
-- Link libraries: /usr/lib/x86_64-linux-gnu/libQtDeclarative.so;/usr/lib/x86_64-linux-gnu/libQtGui.so;/usr/lib/x86_64-linux-gnu/libQtCore.so;/usr/lib/x86_64-linux-gnu/libxml2.so;/usr/lib/x86_64-linux-gnu/libQtOpenGL.so;/usr/lib/x86_64-linux-gnu/libGLU.so;/usr/lib/x86_64-linux-gnu/libGL.so;/usr/local/lib64/libosgDB.so;/usr/local/lib64/libosgQt.so;/usr/local/lib64/libosgGA.so;/usr/local/lib64/libosgFX.so;/usr/local/lib64/libosgText.so;/usr/local/lib64/libosgViewer.so;/usr/local/lib64/libosgManipulator.so;/usr/local/lib64/libosg.so;/usr/local/lib64/libOpenThreads.so
-- Detected SoQt/Coin3D GUI, making plugin
-- Looking for dAllocateODEDataForThread
-- Looking for dAllocateODEDataForThread - found
-- Detected ODE multi-threading extensions, but not sure if should enable them... define ODE_USE_MULTITHREAD variable to use them
-- Performing Test NEED_TRIINDEX
-- Performing Test NEED_TRIINDEX - Failed
-- ODE found, building oderave plugin, precision=SINGLE
-- Checking for module 'fcl'
--   Found fcl, version 0.5.0
-- Performing Test FCL_HAS_REPLACEOBJECT
-- Performing Test FCL_HAS_REPLACEOBJECT - Failed
-- Performing Test FCL_SUPPORT_BULK_UPDATE
-- Performing Test FCL_SUPPORT_BULK_UPDATE - Failed
-- Configuring done
-- Generating done
-- Build files have been written to: /home/georgy/openrave/build



And I have now the problems when I run any of the examples (I get an error and openrave crashes):

/usr/lib/python2.7/dist-packages/numpy/lib/shape_base.py:873: VisibleDeprecationWarning: using a non-integer number instead of an integer will result in an error in the future
  return c.reshape(shape_out)
starting to pick and place random objects
Traceback (most recent call last):
  File "/usr/local/bin/openrave.py", line 149, in <module>
    example.run(args=args)
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/openravepy_ext.py", line 64, in newfn
    return fn(*args,**kwargs)
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/examples/graspplanning.py", line 476, in run
    OpenRAVEGlobalArguments.parseAndCreateThreadedUser(options,main,defaultviewer=True)
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/misc.py", line 240, in parseAndCreateThreadedUser
    SetViewerUserThread(env,viewername,lambda: userfn(env,options))
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/misc.py", line 100, in SetViewerUserThread
    userfn()
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/misc.py", line 240, in <lambda>
    SetViewerUserThread(env,viewername,lambda: userfn(env,options))
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/examples/graspplanning.py", line 453, in main
    self.performGraspPlanning(withreplacement=not options.testmode)
  File "/usr/local/lib/python2.7/dist-packages/openravepy/_openravepy_0_9/examples/graspplanning.py", line 428, in performGraspPlanning
    i=random.randint(len(graspables))
  File "mtrand.pyx", line 1264, in mtrand.RandomState.randint (numpy/random/mtrand/mtrand.c:14492)
ValueError: low >= high
QThreadStorage: Thread 0x7f4308010440 exited after QThreadStorage 8 destroyed
QThreadStorage: Thread 0x7f4308010440 exited after QThreadStorage 7 destroyed
QThreadStorage: Thread 0x7f4308010440 exited after QThreadStorage 4 destroyed
QThreadStorage: Thread 0x7f4308010440 exited after QThreadStorage 3 destroyed
QThreadStorage: Thread 0x7f4308010440 exited after QThreadStorage 2 destroyed
QThreadStorage: Thread 0x7f4308010440 exited after QThreadStorage 1 destroyed

Tried to reinstall several times with different options for cmake.
Do anybody have same issues on Ubuntu 16?